<?php

namespace App\Generated\V1_1\Messages\User;

use Kamicloud\StubApi\Concerns\ValueHelper;
use Kamicloud\StubApi\Http\Messages\Message;
use Kamicloud\StubApi\Utils\Constants;

class GetQuestionInfoMessage extends Message
{
    use ValueHelper;

    protected $questionId;
    protected $result;

    /**
     * @return int
     */
    public function getQuestionId()
    {
        return $this->questionId;
    }

    public function requestRules()
    {
        return [
            ['questionId', 'question_id', 'bail|integer', Constants::INTEGER, null],
        ];
    }

    public function responseRules()
    {
        return [
            ['result', 'result', 'bail', null, null],
        ];
    }

    public function setResponse($result)
    {
        $this->result = $result;
    }

}
